#usually no need to set path on Linux
#export PATH=${PATH}:/usr/postgresql/9.6/bin:/path/to/osm2pgsqlfolder
export PGPORT=5432
export PGDATABASE=lab
export PGUSER=postgres
export PGPASSWORD=whatever
export LOAD_FILE=data/boston_osgeo.osm
export PGHOST=localhost
export MAPCONFIG="/usr/share/osm2pgrouting/mapconfig_for_cars.xml"

#create the schema osm first
psql -c "CREATE SCHEMA osm;"

osm2pgrouting --schema osm --clean -f $LOAD_FILE -d lab -p $PGPORT -h $PGHOST --conf=$MAPCONFIG